---
type: api
title: Get global checkpoints
description: Get the current global checkpoints for an index.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/operation/operation-fleet-global-checkpoints
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/operation/operation-fleet-global-checkpoints
products:
  - Elasticsearch
---

# Get global checkpoints

Availability: 7.13+

## Paths

- `GET` `/{index}/_fleet/global_checkpoints`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#basicauth)
- [Bearer auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#bearerauth)

#### Path Parameters

- `index` (union IndexName | IndexAlias)
  A single index or index alias that resolves to a single index.

## Description

Get the current global checkpoints for an index.
This API is designed for internal use by the Fleet server project.

## Query String Parameters

- `wait_for_advance` (boolean · default: false)
  A boolean value which controls whether to wait (until the timeout) for the global checkpoints
to advance past the provided `checkpoints`.
- `wait_for_index` (boolean · default: false)
  A boolean value which controls whether to wait (until the timeout) for the target index to exist
and all primary shards be active. Can only be true when `wait_for_advance` is true.
- `checkpoints` ([] number · default: [])
  A comma separated list of previous global checkpoints. When used in combination with `wait_for_advance`,
the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list
will cause Elasticsearch to immediately return the current global checkpoints.
- `timeout` (string Duration · default: 30s)
  Period to wait for a global checkpoints to advance past `checkpoints`.

## Response

`application/json`

- `global_checkpoints` ([] number)
- `timed_out` (boolean)
## Code Examples

#### Console

```console
GET /{index}/_fleet/global_checkpoints
```

#### curl

```curl
curl -X GET "/{index}/_fleet/global_checkpoints"
```

